问题:
使用宝塔面板安装环境时,默认安装Redis版本过高,导致部分Web程序使用Redis时,报错的问题。

环境:
操作系统:CentOS 7.7.1908(Py2.7.5)
管理面板:宝塔Linux正式版7.4.5
Redis版本:6.0.10

安装Redis指定版本方法:

1、在宝塔面板安装默认Redis版本

默认安装为Redis 6.0版本


2、等待默认Redis版本安装完成,然后卸载宝塔面板默认安装的Redis 6.0版本


3、找到宝塔面板中Redis安装脚本,即:/www/server/panel/install/redis.sh文件

编辑redis.sh文件


4、修改redis.sh文件中Redis版本号,我这里修改为5.0.8,然后保存redis.sh文件

5、连接ssh执行以下命令安装redis即可(root权限)

bash /www/server/panel/install/redis.sh install


6、已成功安装到指定版本的Redis



点赞(0) 打赏

Comment list 共有 0 条评论

暂无评论

微信小程序

微信扫一扫体验

立即
投稿

微信公众账号

微信扫一扫加关注

发表
评论
返回
顶部